Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mortbay.jetty.security
Class BasicAuthenticator

    java.lang.Object
      org.mortbay.jetty.security.BasicAuthenticator

All Implemented Interfaces:
  java.io.Serializable, Authenticator

    public class BasicAuthenticator

extends java.lang.Object
implements Authenticator

BASIC authentication.

Author:
  Greg Wilkins (gregw)
See Also:
  Serialized Form

Constructor Summary
`BasicAuthenticator()`

Method Summary
`java.security.Principal` | `authenticate(UserRealm realm, java.lang.String pathInContext, Request request, Response response)` Authenticate.
`java.lang.String` | `getAuthMethod()`
`void` | `sendChallenge(UserRealm realm, Response response)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BasicAuthenticator

    public BasicAuthenticator()

Method Detail

### authenticate

    public java.security.Principal authenticate(UserRealm realm,
                                                java.lang.String pathInContext,
                                                Request request,
                                                Response response)
                                         throws java.io.IOException

  Description copied from interface: `Authenticator`
  Authenticate.

  Specified by:
    `authenticate` in interface `Authenticator`
  Parameters:
    `realm` - an `UserRealm` value
    `pathInContext` - a `String` value
    `request` - a `Request` value
    `response` - a `Response` value. If non-null response is passed, then a failed authentication will result in a challenge response being set in the response.
  Returns:
    UserPrinciple if authenticated or null if not. If Authentication fails, then the authenticator may have committed the response as an auth challenge or redirect.
  Throws:
    `java.io.IOException`

### getAuthMethod

    public java.lang.String getAuthMethod()

  Specified by:
    `getAuthMethod` in interface `Authenticator`

### sendChallenge

    public void sendChallenge(UserRealm realm,
                              Response response)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.